! This Program illustrates the preprint.
PROGRAM Example
   USE MEuler
   IMPLICIT NONE

   INTEGER :: n
   INTEGER, PARAMETER :: nMax = 5000
   CHARACTER ( len = MEULER_MSG_LENGTH ) :: msg

   ! set parameter for f
   b = DBLE(99) / DBLE(100)

   ! set increment
   h = DBLE(1) / DBLE(1000)

   ! set initial value
   t0 = DBLE(1) / DBLE(10)
   eta = DBLE(0)

   ! check globs from MEuler
   IF (.NOT. CheckGlobs()) THEN
      PRINT*,"Something went wrong!"
      RETURN
   END IF

   ! Euler's Polygonal Method
   n = DoRecursionOld()
   ! exit with message on error
   IF (n .LT. 0) THEN
      PRINT*,"Error in DoRecursionOld!"
      IF (n .EQ. MEULER_ERROR_OUTOFDOMAIN) THEN
         PRINT*,"Value (y, t) out of domain(f)!"
      END IF
      IF (n .EQ. MEULER_ERROR_OVERFLOW) THEN
         PRINT*,"Overflow!"
      END IF
      RETURN
   END IF

   msg = TRIM("Data for Euler's Polygonal Method: ")
   CALL PrintData(msg)
   CALL ClearGlobs()

   ! the new polygonal method
   n = DoRecursionNew(nMax)
   IF (n .LT. 0) THEN
      PRINT*,"Error in DoRecursionNew!"
      IF (n .EQ. MEULER_ERROR_OUTOFDOMAIN) THEN
         PRINT*,"Value (y, t) out of domain(f)!"
      END IF
      IF (n .EQ. MEULER_ERROR_OVERFLOW) THEN
         PRINT*,"Overflow!"
      END IF
      RETURN
   END IF

   msg = TRIM("Data for the new polygonal method: ")
   CALL PrintData(msg)
   CALL ClearGlobs()

   RETURN
END PROGRAM Example
